Summary: A document formatting system.
Name: groff
Version: 1.15
Release: 3mdk
Copyright: GPL
Group: Text tools
Source0: ftp://prep.ai.mit.edu/pub/gnu/groff/groff-%{version}.tar.bz2
Source1: troff-to-ps.fpi
Patch0:  groff-1.15-make.patch.bz2
Patch1: groff-1.11-safer.patch.bz2
Patch3: groff-1.15-debian.patch.bz2
Requires: mktemp
Buildroot: /var/tmp/groff-root
Obsoletes: groff-tools

%description
Groff is a document formatting system.  Groff takes standard text and
formatting commands as input and produces formatted output.  The
created documents can be shown on a display or printed on a printer. 
Groff's formatting commands allow you to specify font type and size, bold
type, italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system.  Groff can also be used to format man pages. If you are going
to use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%package gxditview
Summary: An X previewer for groff text processor output.
Group: Text tools

%description gxditview
Gxditview displays the groff text processor's output on an X Window
System display.

If you are going to use groff as a text processor, you should install
gxditview so that you preview your processed text files in X.  You'll also
need to install the groff package and the X Window System.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch3 -p1

%build
PATH=$PATH:/usr/X11R6/bin
rm -f .config.{log,cache}
autoconf
%configure --enable-japanese
make
cd xditview
xmkmf
make depend; make 

%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr
cd xditview
make DESTDIR=$RPM_BUILD_ROOT install install.man
strip $RPM_BUILD_ROOT/usr/bin/* || :

ln -s tmac.s	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gs
ln -s tmac.mse $RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gmse
ln -s tmac.m	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gm
ln -s troff	$RPM_BUILD_ROOT/usr/bin/gtroff
ln -s tbl	$RPM_BUILD_ROOT/usr/bin/gtbl
ln -s pic	$RPM_BUILD_ROOT/usr/bin/gpic
ln -s eqn	$RPM_BUILD_ROOT/usr/bin/geqn
ln -s neqn	$RPM_BUILD_ROOT/usr/bin/gneqn
ln -s refer	$RPM_BUILD_ROOT/usr/bin/grefer
ln -s lookbib	$RPM_BUILD_ROOT/usr/bin/glookbib
ln -s indxbib	$RPM_BUILD_ROOT/usr/bin/gindxbib
ln -s soelim	$RPM_BUILD_ROOT/usr/bin/gsoelim
ln -s nroff	$RPM_BUILD_ROOT/usr/bin/gnroff
ln -s eqn.1		$RPM_BUILD_ROOT/usr/man/man1/geqn.1
ln -s indxbib.1	$RPM_BUILD_ROOT/usr/man/man1/gindxbib.1
ln -s lookbib.1	$RPM_BUILD_ROOT/usr/man/man1/glookbib.1
ln -s nroff.1	$RPM_BUILD_ROOT/usr/man/man1/gnroff.1
ln -s pic.1		$RPM_BUILD_ROOT/usr/man/man1/gpic.1
ln -s refer.1	$RPM_BUILD_ROOT/usr/man/man1/grefer.1
ln -s soelim.1	$RPM_BUILD_ROOT/usr/man/man1/gsoelim.1
ln -s tbl.1 	$RPM_BUILD_ROOT/usr/man/man1/gtbl.1
ln -s troff.1	$RPM_BUILD_ROOT/usr/man/man1/gtroff.1
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/troff-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters

%files
%defattr(-,root,root)
/usr/lib/groff
/usr/bin/*
/usr/man/*/*
/usr/lib/rhs/*/*

%files gxditview
%defattr(-,root,root)
/usr/X11R6/bin/gxditview
/usr/X11R6/lib/X11/app-defaults/GXditview
/usr/X11R6/man/man1/gxditview.1x*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-3mdk
- Fix rpmlint error/warning.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-2mdk
- Add debian patch to display kanji.
- Adjust groups.

* Mon Jan  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.15-1mdk
- 1.15.

* Thu Oct 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix building as user.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1 patch for xditview (#992)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- fix makefiles to work with bash2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

